gpo.zugaina.org

Search Portage & Overlays:

media-plugins/audacious-plugins

Audacious Player - Your music, your way, no exceptions

Screenshots

  • audacious-plugins-9999-r1
    aac adplug alsa ampache aosd bs2b cdda cue ffmpeg filewriter flac fluidsynth gnome hotkeys http +gtk jack lame libav libnotify libsamplerate lirc mms modplug mp3 mpris nls opengl oss pulseaudio qt5 qtmedia scrobbler sdl sdl2 sid sndfile sox vorbis wavpack +bundled-libs

    View      Download      Browse     License: BSD-2 LGPL-2 GPL-2+ ampache? ( GPL-3 )   
    Overlay: flussence (layman)
  • audacious-plugins-9999
    aac adplug +alsa ampache bs2b cdda cue ffmpeg flac fluidsynth http gme jack lame libav libnotify libsamplerate lirc mms modplug mp3 nls opengl pulseaudio qt5 qtmedia scrobbler sdl sid sndfile soxr speedpitch vorbis wavpack

    View      Download      Browse     License: GPL-2   
    Overlay: pg_overlay (layman)
  • audacious-plugins-9999
    aac adplug alsa bs2b cdda cue ffmpeg +filewriter flac +gtk http jack lame libav libnotify libsamplerate lirc midi mms modplug mp3 mpris pulseaudio qt5 scrobbler sdl sid sndfile soxr spectrum vorbis wavpack

    View      Download      Browse     License: BSD-2 GPL-2+ GPL-3 LGPL-2.1+ libnotify? ( GPL-3+ )   
    Overlay: wjn-overlay (layman)
  • audacious-plugins-9999
    aac adplug +alsa ampache bs2b cdda cue ffmpeg flac fluidsynth gtk http gme jack lame libav libnotify libsamplerate lirc mms modplug mp3 nls opengl pulseaudio qtmedia scrobbler sdl sid sndfile soxr speedpitch streamtuner vorbis wavpack

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)
  • audacious-plugins-4.0_beta1
    ~amd64 ~x86
    aac adplug alsa ampache aosd bs2b cdda cue ffmpeg filewriter flac fluidsynth gnome hotkeys http +gtk jack lame libav libnotify libsamplerate lirc mms modplug mp3 mpris nls opengl oss pulseaudio qt5 qtmedia scrobbler sdl sdl2 sid sndfile sox vorbis wavpack +bundled-libs

    View      Download      Browse     License: BSD-2 LGPL-2 GPL-2+ ampache? ( GPL-3 )   
    Overlay: flussence (layman)
  • audacious-plugins-4.0_beta1
    ~amd64 ~x86
    aac adplug +alsa ampache bs2b cdda cue ffmpeg flac fluidsynth http gme jack lame libav libnotify libsamplerate lirc mms modplug mp3 nls opengl pulseaudio qtmedia scrobbler sdl sid sndfile soxr speedpitch vorbis wavpack

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)
  • audacious-plugins-3.10.1-r1
    ~amd64 ~x86
    aac adplug alsa ampache aosd bs2b cdda cue ffmpeg filewriter flac fluidsynth gnome hotkeys http +gtk jack lame libav libnotify libsamplerate lirc mms modplug mp3 mpris nls opengl oss pulseaudio qt5 qtmedia scrobbler sdl sdl2 sid sndfile sox vorbis wavpack +bundled-libs

    View      Download      Browse     License: BSD-2 LGPL-2 GPL-2+ ampache? ( GPL-3 )   
    Overlay: flussence (layman)
  • audacious-plugins-3.10.1
    aac adplug alsa bs2b cdda cue ffmpeg +filewriter flac +gtk http jack lame libav libnotify libsamplerate lirc midi mms modplug mp3 mpris pulseaudio qt5 scrobbler sdl sid sndfile soxr spectrum vorbis wavpack

    View      Download      Browse     License: BSD-2 GPL-2+ GPL-3 LGPL-2.1+ libnotify? ( GPL-3+ )   
    Overlay: wjn-overlay (layman)
  • audacious-plugins-3.10.1
    amd64 x86
    aac adplug +alsa ampache bs2b cdda cue ffmpeg flac fluidsynth http gme jack lame libav libnotify libsamplerate lirc mms modplug mp3 nls opengl pulseaudio qt5 qtmedia scrobbler sdl sid sndfile soxr speedpitch vorbis wavpack

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)
  • audacious-plugins-3.9-r2
    ~amd64 ~x86
    aac +alsa bs2b cdda cue ffmpeg flac fluidsynth gnome http gme jack lame libav libnotify libsamplerate lirc mms modplug mp3 nls pulseaudio scrobbler sdl sid sndfile soxr speedpitch vorbis wavpack

    View      Download      Browse     License: GPL-2   
    Overlay: gentoo (distro)

ChangeLog

# ChangeLog for media-plugins/audacious-plugins
# Copyright 1999-2019 Gentoo Authors; Distributed under the GPL v2
# (auto-generated from git log)

*audacious-plugins-3.10.1 (03 Jan 2019)

03 Jan 2019; wjn <wjn@aol.jp> -audacious-plugins-3.10.ebuild,
+audacious-plugins-3.10.1.ebuild:
Add version 3.10.1, delete old version 3.10

02 Jan 2019; wjn <wjn@aol.jp> audacious-plugins-3.10.ebuild,
audacious-plugins-9999.ebuild:
Update the year of copyright notices to 2019

12 Nov 2018; wjn <wjn@aol.jp> audacious-plugins-3.10.ebuild,
audacious-plugins-9999.ebuild:
[QA] Change copyright notices from 'Gentoo Foundation' to 'Gentoo Authors'

See GLEP 76
https://www.gentoo.org/glep/glep-0076.html

*audacious-plugins-3.10 (14 Aug 2018)

14 Aug 2018; wjn <wjn@aol.jp> +audacious-plugins-3.10.ebuild:
Add version 3.10

14 Aug 2018; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild,
-files/audacious-plugins-3.8-qtglspectrum-include-glu.patch:
Remove a needless patch

14 Aug 2018; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Drop GTK+ 3 support and GNOME shortcuts plugin

Now Upstream doesn't regularly update master-gtk3 branch
and removes GNOME Shortcuts plugin
See https://audacious-media-player.org/news/43-audacious-3-10-released

14 Aug 2018; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Add AR translation

23 Jun 2018; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild, metadata.xml:
Add USE="mpris" to switch MPRIS2 support

23 Jun 2018; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Remove obslete dependency on GCC

Anyway, <sys-devel/gcc-6 are masked in the gentoo repository

diff --git a/media-plugins/audacious-plugins/audacious-plugins-9999.ebuild
b/media-plugins/audacious-plugins/audacious-plugins-9999.ebuild
index 9857641..7740009 100644
--- a/media-plugins/audacious-plugins/audacious-plugins-9999.ebuild
+++ b/media-plugins/audacious-plugins/audacious-plugins-9999.ebuild
@@ -28,7 +28,6 @@ REQUIRED_USE=" || ( gtk qt5 )

COMMON_DEPEND="dev-libs/libxml2:2
~media-sound/audacious-9999[gtk=,gtk3=,qt5=]
- >=sys-devel/gcc-4.7.0:*
x11-libs/libXcomposite
x11-libs/libXrender
aac? ( >=media-libs/faad2-2.7 )

23 Jun 2018; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Depend on dbus only if USE="gnome"

03 Jan 2018; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
[QA] Update copyright year to 2018

28 Nov 2017; wjn <wjn@aol.jp> -audacious-plugins-3.8.ebuild,
-audacious-plugins-3.8.1.ebuild, -audacious-plugins-3.8.2.ebuild,
-audacious-plugins-3.9.ebuild,
-files/audacious-plugins-3.7-gl-spectrum-qt-include-glu.patch:
Delete old versions

24 Nov 2017; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Add adplug to IUSE

Upstream unbundles adplug, now needs media-libs/adplug
Upstream:
https://github.com/audacious-media-player/audacious-
plugins/commit/a39bfd7

*audacious-plugins-3.9 (29 Oct 2017)

29 Oct 2017; wjn <wjn@aol.jp> +audacious-plugins-3.9.ebuild:
Add version 3.9

06 Jun 2017; wjn <wjn@aol.jp> audacious-plugins-3.8.ebuild,
audacious-plugins-3.8.1.ebuild, audacious-plugins-3.8.2.ebuild,
audacious-plugins-9999.ebuild:
[QA] Remove no longer needed '$Id$' lines

*audacious-plugins-3.8.2 (24 Jan 2017)

24 Jan 2017; wjn <wjn@aol.jp> +audacious-plugins-3.8.2.ebuild:
Add version 3.8.2

03 Jan 2017; wjn <wjn@aol.jp> audacious-plugins-3.8.ebuild,
audacious-plugins-3.8.1.ebuild, audacious-plugins-9999.ebuild:
*/*/*.ebuild: Change 2016 to 2017 in the GPLv2 copyright expressions

17 Dec 2016; wjn <wjn@aol.jp> -audacious-plugins-3.7.1.ebuild,
-audacious-plugins-3.7.2.ebuild:
Delete old version 3.7.1 and 3.7.2

*audacious-plugins-3.8.1 (08 Dec 2016)

08 Dec 2016; wjn <wjn@aol.jp> +audacious-plugins-3.8.1.ebuild:
Add version 3.8.1

*audacious-plugins-3.8 (23 Sep 2016)

23 Sep 2016; wjn <wjn@aol.jp> +audacious-plugins-3.8.ebuild:
Add version 3.8

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Auto-detect flac, mp3, neon and vorbis support

--enable-{flacng,filewriter-flac,mp3,neon,vorbis} are removed by the
upstream

Upstream:
https://github.com/audacious-media-player/audacious-plugins/commit/f2b97de

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Do not enable hotkey if USE=gtk3

hotkey plugin depends on gdk-x11-2.0, not 3.0.
gtk+:2 ( $lib_dir/pkgconfig/gdk-x11-2.0.pc ) is needed

Upstream:
https://github.com/audacious-media-player/audacious-plugins/commit/fae9b04

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Fix to add gdk-pixbuf dep for libnotify OSD

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Remove --enable-aosd-xcomp

Now aosd-xcomp is always depended by aosd

Upstream:
https://github.com/audacious-media-player/audacious-plugins/commit/86fd7b0

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Disable Ampache browser plugin explicitly

Upstream Added Ampache browser plugin, but it depends on another library
- https://github.com/audacious-media-player/audacious-
plugins/commit/54c5059
- https://github.com/ampache-browser/ampache_browser

That library's package is not in Gentoo repository,
so explicitly disable the plugin

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Remove GTK+ dep for USE=filewriter

Upstream:
https://github.com/audacious-media-player/audacious-plugins/commit/0d80656

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Support libnotify OSD for Qt

Now libnotify OSD can support either GTK+ or Qt

Upstream:
https://github.com/audacious-media-player/audacious-plugins/commit/55c76df

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild,
+files/audacious-plugins-3.8-qtglspectrum-include-glu.patch:
Update the target to patch for include GL/glu

Since src/gl-spectrum-qt/ is renamed to src/qtglspectrum/ ,
the patch file should be updated

Upstream :
https://github.com/audacious-media-player/audacious-plugins/commit/c79dde1

26 Aug 2016; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Remove gtk+ dep from USE=scrobbler

Upstream:
https://github.com/audacious-media-player/audacious-plugins/commit/789d7b0

*audacious-plugins-3.7.2 (29 Mar 2016)

29 Mar 2016; wjn <wjn@aol.jp> +audacious-plugins-3.7.2.ebuild:
Add version 3.7.2

07 Mar 2016; wjn <wjn@aol.jp> audacious-plugins-3.7.1.ebuild,
audacious-plugins-9999.ebuild:
audacious-plugins,freshplayerplugin: Change to virtual/jack

19 Feb 2016; wjn <wjn@aol.jp> audacious-plugins-3.7.1.ebuild, metadata.xml:
Correct for quality assurance

19 Feb 2016; wjn <wjn@aol.jp> metadata.xml:
**/metadata.xml: Update and tidy up

12 Feb 2016; wjn <wjn@aol.jp> audacious-plugins-3.7.1.ebuild,
audacious-plugins-9999.ebuild:
Remove IUSE="adplug"

adplug is built-in, always compiled by default

12 Feb 2016; wjn <wjn@aol.jp> -audacious-plugins-3.7.ebuild,
audacious-plugins-3.7.1.ebuild, audacious-plugins-9999.ebuild,
files/audacious-plugins-3.7-gl-spectrum-qt-include-glu.patch:
Correct $, delete old version 3.7

01 Jan 2016; wjn <wjn@aol.jp> audacious-plugins-3.7.ebuild,
audacious-plugins-3.7.1.ebuild, audacious-plugins-9999.ebuild:
**/*.ebuild: Change 2015 to 2016 in the GPLv2 copyright expressions

*audacious-plugins-3.7.1 (29 Dec 2015)

29 Dec 2015; wjn <wjn@aol.jp> +audacious-plugins-3.7.1.ebuild:
Add version 3.7.1

08 Nov 2015; wjn <wjn@aol.jp> audacious-plugins-3.7.ebuild,
audacious-plugins-9999.ebuild:
9999: Update dependencies and configure flags

08 Nov 2015; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
9999: Add a patch for building with qtopengl

08 Nov 2015; wjn <wjn@aol.jp> audacious-plugins-3.7.ebuild,
audacious-plugins-9999.ebuild:
BSD (2-clause) license is right

08 Nov 2015; wjn <wjn@aol.jp> -audacious-plugins-3.6.2-r1.ebuild:
Delete version 3.6.2-r1

*audacious-plugins-3.7 (08 Nov 2015)

08 Nov 2015; wjn <wjn@aol.jp> +audacious-plugins-3.7.ebuild,
+files/audacious-plugins-3.7-gl-spectrum-qt-include-glu.patch:
Add version 3.7

31 Oct 2015; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Fix version 9999.

- require gtk or qt5
- add a missing backslash
- update DESCRIPTION to more reasonable one

*audacious-plugins-3.6.2-r1 (31 Oct 2015)

31 Oct 2015; wjn <wjn@aol.jp> -audacious-plugins-3.6.2.ebuild,
+audacious-plugins-3.6.2-r1.ebuild:
Fix version 3.6.2 to 3.6.2-r1.

- changed IUSE="neon" to "http"
- add econf --enable-statusicon
- require gtk or qt5

FYI: https://bugs.gentoo.org/show_bug.cgi?id=556910

06 Oct 2015; wjn <wjn@aol.jp> -audacious-plugins-3.6.ebuild,
-audacious-plugins-3.6.1.ebuild:
media-*/audacious*: Delete old version 3.6 and 3.6.1.

09 Sep 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild, audacious-plugins-3.6.2.ebuild,
audacious-plugins-9999.ebuild, metadata.xml:
Update metadata.xml(s) and IUSE(s).

09 Sep 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild, audacious-plugins-3.6.2.ebuild,
audacious-plugins-9999.ebuild:
Trivial fixes for QA.

09 Sep 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild:
Fix trivials such as redundant new lines etc.

09 Sep 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild, audacious-plugins-3.6.2.ebuild,
audacious-plugins-9999.ebuild:
Update ebuild file format from "# $Header: $" to "# $Id"

Since Gentoo changes the VCS from CVS to git, ebuild header is changed.

29 Aug 2015; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Modify IUSE "neon" to "http".

*audacious-plugins-3.6.2 (31 May 2015)

31 May 2015; wjn <wjn@aol.jp> +audacious-plugins-3.6.2.ebuild:
media-*/audacious*: Add version 3.6.2.

31 May 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild:
Fix about removal of undesired *.po.

31 May 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild, audacious-plugins-9999.ebuild:
Modify libav/ffmpeg choice deps.

14 May 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild, audacious-plugins-9999.ebuild:
media-*/audacious*: Add GTK+:3 support.

To build for GTK+:3, define USE="gtk +gtk3".

USE="-gtk3" is default
because upstream releases GTK+ 2 version as default.

modified: media-sound/audacious/audacious-3.6.1.ebuild
modified: media-sound/audacious/audacious-3.6.ebuild
modified: media-sound/audacious/audacious-9999.ebuild
modified: media-plugins/audacious-plugins/audacious-
plugins-3.6.1.ebuild
modified: media-plugins/audacious-plugins/audacious-
plugins-3.6.ebuild
modified: media-plugins/audacious-plugins/audacious-
plugins-9999.ebuild

14 May 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild:
media-*/audacious*: Delete unneeded substitution of $.

11 May 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild:
Remove unneeded $, use $ directly.

11 May 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-3.6.1.ebuild, audacious-plugins-9999.ebuild:
Use l10n.eclass to prevent installing unwanted *.mo files.

11 May 2015; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Use https:// instead of git://.

*audacious-plugins-3.6.1 (05 Apr 2015)

05 Apr 2015; wjn <wjn@aol.jp> -audacious-plugins-3.5.2.ebuild,
+audacious-plugins-3.6.1.ebuild:
media-sound/audacious: Add version 3.6.1, Drop old version 3.5.2.

02 Mar 2015; wjn <wjn@aol.jp> audacious-plugins-3.6.ebuild,
audacious-plugins-9999.ebuild:
audacious: Fix DEPs, etc.

- inherit git-2 (not git-r3) in audacious-9999,
because git-r3 doesn't parse SRC_URI.

- Fix dependencies.
e.g. qt5 and spectrum.

modified: media-plugins/audacious-plugins/audacious-
plugins-3.6.ebuild
modified: media-plugins/audacious-plugins/audacious-
plugins-9999.ebuild
modified: media-sound/audacious/audacious-3.6.ebuild
modified: media-sound/audacious/audacious-9999.ebuild

02 Mar 2015; wjn <wjn@aol.jp> audacious-plugins-3.5.2.ebuild,
audacious-plugins-9999.ebuild, metadata.xml:
audacious: Fix version 3.5.2 and 9999, metadata.xml.

*audacious-plugins-3.6 (02 Mar 2015)

02 Mar 2015; wjn <wjn@aol.jp> +audacious-plugins-3.6.ebuild:
audacious: Add version 3.6.

02 Mar 2015; wjn <wjn@aol.jp> -audacious-plugins-3.5.ebuild,
-audacious-plugins-3.5.1.ebuild:
audacious*: Drop old version 3.5 and 3.5.1.

deleted: media-sound/audacious-3.5.1.ebuild
deleted: media-sound/audacious-3.5.ebuild
deleted: media-plugins/audacious-plugins-3.5.1.ebuild
deleted: media-plugins/audacious-plugins-3.5.ebuild

P.S. These are in the gentoo repository.

29 Jan 2015; wjn <wjn@aol.jp> audacious-plugins-9999.ebuild:
Remove DOCS="AUTHORS"

*audacious-plugins-9999 (27 Jan 2015)
*audacious-plugins-3.5.2 (27 Jan 2015)
*audacious-plugins-3.5.1 (27 Jan 2015)
*audacious-plugins-3.5 (27 Jan 2015)

27 Jan 2015; wjn <wjn@aol.jp> +audacious-plugins-3.5.ebuild,
+audacious-plugins-3.5.1.ebuild, +audacious-plugins-3.5.2.ebuild,
+audacious-plugins-9999.ebuild, +metadata.xml:
Commit for initializing, Move from GitHub